ansible role to deploy and configure pihole, including local DNS entries

# Required variables
... e.g. in `group_vars`
- `local_dns_entries` A list of local DNS entries to be set up. Only IPv4 is supported currently. Example:
  ```
  local_dns_entries:
  - domain: printer.local
    ip4: 192.168.1.50
  ```
- `pihole_admin_password` The password to be used on the WebUI login. Should be defined in an encrypted ansible vault